
Foreman - Feature #18256

Cache expensive vmware compute resource calls

01/26/2017 09:03 AM - Timo Goebel

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some VMWare calls are incredibly slow, e.g. listing all networks or datastores. It might be worth caching these data to speed things

up.

For Foreman Xen there is a PR that introduces such functionality. It might be worth to provide a general interface.

https://github.com/theforeman/foreman-xen/pull/52

Related issues:

Related to Foreman - Tracker #18255: Speed up vmware New 01/26/2017

Related to Foreman - Feature #13618: Cache vSphere compute resource lookups Closed 02/09/2016

History

#1 - 01/26/2017 09:03 AM - Timo Goebel

- Related to Tracker #18255: Speed up vmware added

#2 - 01/26/2017 09:04 AM - Dominic Cleal

- Related to Feature #13618: Cache vSphere compute resource lookups added

#3 - 01/26/2017 10:11 AM - Timo Goebel

- Status changed from Assigned to Duplicate

- Assignee deleted (Timo Goebel)
